declare var _default: import("vue").DefineComponent<{
    componentTag: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    action: import("vue-types").VueTypeDef<any>;
    name: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    multipart: import("vue-types").VueTypeValidableDef<boolean>;
    directory: import("vue-types").VueTypeValidableDef<boolean>;
    onError: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onSuccess: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onProgress: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onStart: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    data: import("vue-types").VueTypeDef<any>;
    headers: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    accept: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    multiple: import("vue-types").VueTypeValidableDef<boolean>;
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    beforeUpload: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    customRequest: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onReady: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    withCredentials: import("vue-types").VueTypeValidableDef<boolean>;
    supportServerRender: import("vue-types").VueTypeValidableDef<boolean>;
    openFileDialogOnClick: import("vue-types").VueTypeValidableDef<boolean>;
    method: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
}, any, {}, {}, {
    getComponent(): any;
    abort(file: any): void;
}, {
    methods: {
        setState(state: {}, callback: any): void;
        __emit(...args: any[]): void;
    };
}, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    componentTag?: unknown;
    prefixCls?: unknown;
    action?: unknown;
    name?: unknown;
    multipart?: unknown;
    directory?: unknown;
    onError?: unknown;
    onSuccess?: unknown;
    onProgress?: unknown;
    onStart?: unknown;
    data?: unknown;
    headers?: unknown;
    accept?: unknown;
    multiple?: unknown;
    disabled?: unknown;
    beforeUpload?: unknown;
    customRequest?: unknown;
    onReady?: unknown;
    withCredentials?: unknown;
    supportServerRender?: unknown;
    openFileDialogOnClick?: unknown;
    method?: unknown;
} & {
    method: string;
    name: string;
    prefixCls: string;
    accept: string;
    componentTag: string;
    headers: {
        [key: string]: any;
    };
} & {
    data?: any;
    disabled?: boolean;
    onError?: (...args: any[]) => any;
    multiple?: boolean;
    onProgress?: (...args: any[]) => any;
    action?: any;
    onStart?: (...args: any[]) => any;
    beforeUpload?: (...args: any[]) => any;
    supportServerRender?: boolean;
    withCredentials?: boolean;
    directory?: boolean;
    openFileDialogOnClick?: boolean;
    multipart?: boolean;
    onReady?: (...args: any[]) => any;
    onSuccess?: (...args: any[]) => any;
    customRequest?: (...args: any[]) => any;
}>, {
    method: string;
    name: string;
    onError: (...args: any[]) => any;
    onProgress: (...args: any[]) => any;
    prefixCls: string;
    onStart: (...args: any[]) => any;
    accept: string;
    beforeUpload: (...args: any[]) => any;
    componentTag: string;
    headers: {
        [key: string]: any;
    };
    onReady: (...args: any[]) => any;
    onSuccess: (...args: any[]) => any;
    customRequest: (...args: any[]) => any;
}>;
export default _default;
